Subject: Re: [bitcoin-dev]BIP Proposal: Consensus (hard fork) PoST Datastore for Energy Efficient Mining

From: "[email-masked]" <[email-masked]>
Date: Sat, 13 Mar 2021 20:44:39 +0100

My mistake for thinking your text was generated text, and my humor was not meant to be directed at you, so apologies if you took it personally. 
PS: The AI overlord is no joke
Cheers,
-Yancy

On Saturday, March 13, 2021 18:11 CET, Lonero Foundation <[email-masked]> wrote:
 Hi, no worries. I made the changes now in the GitHub repository and pull request. I'm hoping for a BIP # soon. Thanks for the feedback, and I guess the sense of humor. Best regards, Andrew On Sat, Mar 13, 2021, 10:45 AM yancy <[email-masked]> wrote:Ok thanks.  Using the correct terminology helps people understand what you're talking about and take you seriously.

Cheers,
-Yancy 
Mar 13, 2021 4:02:18 PM Lonero Foundation <[email-masked]>:Hi, I know the differences between the cryptographic hashing algorithm and key validation. I know hashing is for SHA, but was referring to asymmetric cryptography in regards to the key validation. I should have used a different term though instead of, "In regards to cryptographic hashing,", I should have stated in regards to cryptographic key validation. There are a few other dubious clarifications or minor edits I should make in order to not draw confusion. I will do a repo update today. Honest mistake, but enough with the sarcasm. Best regards, Andrew On Sat, Mar 13, 2021, 3:13 AM [email-masked] <[email-masked]> wrote:
My email was not intended as an insult.  Your proposal seemed a bit like gibberish and made some obvious mistakes as pointed out before (such as conflating secp256k1 with sha256), and so I was genuinely curious if you were a bot spamming the list. 
Maybe a more interesting topic is, can GPT3 be used to generate a BIP?  How long before our AI overlord produces improvements to Bitcoin?  At what point will the AI have more than 51% of commit frequency?  Will we have lost the war to our new centralized overlord?
Cheers,
-Yancy

On Saturday, March 13, 2021 00:31 CET, Lonero Foundation <[email-masked]> wrote:
 Also, I already stated I was referring to signature validation cryptography in that aspect: https://wizardforcel.gitbooks.io/practical-cryptography-for-developers-book/content/digital-signatures/ecdsa-sign-verify-examples.htmlMy BIP has a primary purpose in regards to what I want to develop proofs for and the different cryptographic elements I want to develop proofs for.That said to those who disagree with the premise, I do prefer constructive feedback over insults or making fun of one another. After all this is an improvement proposal with a specific purpose aiming to develop a specific thing, not a guy who is just wanting to copy and paste a repository and call it a day. Best regards, Andrew On Fri, Mar 12, 2021 at 6:21 PM Lonero Foundation <[email-masked]> wrote:Hi, I also want to emphasize that my main point isn't just to create a BTC hardfork or become another Bitcoin Cash, Gold, or SV. The main point in regards to this BIP actually expands POW rather than replaces or creates an alternative. Many of the problems faced in regards to security in the future as well as sustainability is something I believe lots of the changes I am proposing can fix. In regards to technological implementation, once this is assigned draft status I am more than willing to create preprints explaining the cryptography, hashing algorithm improvements, and consensus that I am working on. This is a highly technologically complex idea that I am willing to "call my bluff on" and expand upon. As for it being a draft, I think this is a good starting point at least for draft status prior to working on technological implementation. Best regards, Andrew On Fri, Mar 12, 2021 at 5:37 PM [email-masked] <[email-masked]> wrote:I think Andrew himself is an algo.  The crypto training set must not be very good.

Cheers,
-Yancy

On Friday, March 12, 2021 17:54 CET, Lonero Foundation via bitcoin-dev <[email-masked]> wrote:
 …